/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2, or (at
 * your option) any later version.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */
#ifndef KIR_H
#define KIR_H

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

#ifndef KEEP_IT_REAL
#error "kir.h can be used only with -DKEEP_IT_REAL"
#endif

#ifdef ASSEMBLY

#define code32 code16gcc

#else /* ASSEMBLY */

__asm__ ( ".code16gcc" );

#endif /* ASSEMBLY */

#endif /* KIR_H */
